Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064944 - [RFE] Add auto-install kernel arg to add an authorized_key
Summary: [RFE] Add auto-install kernel arg to add an authorized_key
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-node
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ---
: ---
Assignee: Ryan Barry
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
: 1065964 (view as bug list)
Depends On:
Blocks: 1065964
TreeView+ depends on / blocked
 
Reported: 2014-02-13 15:32 UTC by Fabian Deutsch
Modified: 2016-02-10 20:05 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1065964 (view as bug list)
Environment:
Last Closed: 2015-09-21 06:13:11 UTC
oVirt Team: Node
ylavi: ovirt-future?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Fabian Deutsch 2014-02-13 15:32:28 UTC
Description of problem:
There should be a way to add a trusted ssh pub key via a cmdline argument. That way a user can automatically enable password-less logins.
It should be the analog to rootpw= and adminpw= - e.g. nd.authorized_root_key nd.authorized_admin_key or so.

Comment 1 Fabian Deutsch 2014-06-12 14:00:39 UTC
The attached patch does not seem to fix this bug (it seems ot be a patch for a different bug), so putting this back to assigned

Comment 2 Itamar Heim 2014-06-29 09:59:06 UTC
*** Bug 1065964 has been marked as a duplicate of this bug. ***

Comment 3 Ryan Barry 2014-12-23 15:06:29 UTC
Do we want to pass this the same way as the kdump SSH key (a URI which points to a key), or do it the long way by entering the entire key?

Comment 4 Sandro Bonazzola 2015-09-04 09:02:36 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 5 Fabian Deutsch 2015-09-21 06:13:11 UTC
The functionality of kernel install arguments will be replaced in the next major version of ovirt-node, thus I'll be closing the bug.

Please re-open if you think this is necessary.


Note You need to log in before you can comment on or make changes to this bug.